using FamilyTreeAPI.Entities;

namespace FamilyTreeAPI.Interface;
public interface IUserService
{
    
    Task<ResultModel<AuthenticateResponse>> LoginApiAD(AuthenticateRequest model, string remoteIpAddress);
    Task<ResultModel<AuthenticateResponse>> Login(AuthenticateRequest model);
    Task<ResultModel<int>> Logout(string token, UserDto user, string remoteIpAddress);

    //  Task<ResultModel<User>> SearchApiStaff(string staffLinkNo);
   //  Task<ResultModel<User>> SearchADStaff(string staffLinkNo);
}
